Bug Hunting Session
Bug 63986 - UI: Full Screen toolbar should not display in Full Screen mode
Summary: UI: Full Screen toolbar should not display in Full Screen mode
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 54459 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-04-27 06:37 UTC by David
Modified: 2015-05-18 10:46 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Screen shot of 64-bit LO4.0.2.2 Full screen (30.94 KB, image/png)
2013-05-01 05:46 UTC, David
Details
Expert configuration adjustment of fullscreenbar prior to 5.0.0, no search (89.55 KB, image/png)
2015-04-22 14:51 UTC, V Stuart Foote
Details
Expert configuration adjustment of fullscreenbar for 5.0.0 forward, search implemented (87.96 KB, image/png)
2015-04-22 14:52 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David 2013-04-27 06:37:08 UTC
When in Full Screen mode, the display is cluttered with two toolbars: the Full Screen toolbar, and the Find toolbar (if you have it open when you switch to full screen mode).

It is possible to eliminate the Full Screen toolbar by editing the registrationmodifications.xcu file, but that should not really be required. The toolbar should have a GUI option to be removed/hidden.

I'd prefer it if the Find Toolbar didn't remain on the screen when switching to Full Screen mode, but I can understand it remaining there if I already had it open because I was using it. That, too, should be an GUI configuration option.

Thanks.
Comment 1 David 2013-04-27 07:08:49 UTC
Found out that modifying the registrymodifications.xcu file doesn't make a difference on this same version of 64-bit LO running on 64-bit Linux. Made the same change there as I made on 32-bit Linux version. Works on 32-bit Linux. Doesn't work on 64-bit.
Comment 2 Joel Madero 2013-05-01 03:23:51 UTC
can you screenshot what you're talking about. I'm not seeing the two toolbars.

Furthermore just as a preference - LibreOffice tends to not add a ton of options, so if I can see what you're talking about in a screenshot I will mark as a new enhancement request but there is no guarantee that UX team will accept it.


Thanks!
Comment 3 David 2013-05-01 05:46:32 UTC
Created attachment 78687 [details]
Screen shot of 64-bit LO4.0.2.2 Full screen
Comment 4 David 2013-05-01 05:46:52 UTC
See attached screenshot. This is from 4.0.2.2 running on 64-bit Debian Sid. I installed it using the DEBs downloaded from the Libreoffice website. I also have 4.0.2.2 running on a 32-bit different machine (also running Debian Sid and similarly installed from Libreoffice' own DEBs).
Comment 5 bfoman (inactive) 2013-06-26 13:10:33 UTC
See bug 52249. Still Find toolbar is closed as soon as I switch to Fullscreen on LO 4.2.0.0.alfa0 (Windows 7 Professional SP1 64 bit).
Comment 6 retired 2013-07-16 12:07:39 UTC
Can confirm this with 13.04 and LO 4.1.0.2.0. Setting to NEW.
Comment 7 QA Administrators 2015-04-01 14:40:20 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   *Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1 or later)
   https://www.libreoffice.org/download/

   *If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
   *If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   *Update the version field
   *Reply via email (please reply directly on the bug tracker)
   *Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results. 
4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-04-01
Comment 8 Buovjaga 2015-04-21 16:53:25 UTC
Find closes for me when going full screen. WFM. Feel free to set back to NEW, if you still see this happening with the latest release.

Ubuntu 14.10 64-bit 
Version: 4.5.0.0.alpha0+
Build ID: afb82d3729bda2754d0add08cc6c4dce1dc76d59
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-04-14_00:05:04
Locale: en_US
Comment 9 David 2015-04-22 06:35:42 UTC
Just checked in 4.3.3.2 on system #1 using the modified LO config file I had manually edited to disable the useless Full Screen toolbar. (That should still have a GUI preferences option to not have it show at all no matter what any so-called UX experts think.) The original bug report was that that the bug didn't appear on 32-bit LO running on Debian Linux. I can't confirm it on 32-bit anymore because I don't run 32-bit OS anymore.

Since then, that machine has been replaced with 64-bit system, and when I switch to full-screen view on it, both the Full Screen toolbar and the Find box disappear. (Which is good, but it would still be user-friendly to have a GUI preference setting to display the Find bar on full screen mode.)

The same LO version on the 64-bit system (#2) that is ALSO using the modified LibreOffice configuration file insists on cluttering the "full view" screen with the useless Full Screen toolbar. I guess I need to go through the incredibly - AND I THINK DELIBERATELY - unreadable/unusable LO config file format carefully and make sure I made the exact same changes.

I know the UX team thinks that's wonderful, but I COMPLETELY DISAGREE. A single user setting preference is all that's needed to fix things. Oh, but I guess the UX team is also that of the Gnome desktop environment, which seems to think that REMOVING functionality is the basic principle of UX design.

Anyway, I'm changing this bug to RESOLVLED > WONTFIX because that is exactly what's happening. Maybe you think cluttering the screen with a USELESS "Full Screen toolbar" is WORKSFORME; but I DON'T!
Comment 10 Buovjaga 2015-04-22 06:49:42 UTC
(In reply to David from comment #9)
> Anyway, I'm changing this bug to RESOLVLED > WONTFIX because that is exactly
> what's happening. Maybe you think cluttering the screen with a USELESS "Full
> Screen toolbar" is WORKSFORME; but I DON'T!

No, that is not what is happening. What is happening is that you are projecting your beliefs onto other people.
I'm setting this back to NEW and handing over to the design team.
Comment 11 David 2015-04-22 07:30:11 UTC
(In reply to Beluga from comment #10)
> (In reply to David from comment #9)
> > Anyway, I'm changing this bug to RESOLVLED > WONTFIX because that is exactly
> > what's happening. Maybe you think cluttering the screen with a USELESS "Full
> > Screen toolbar" is WORKSFORME; but I DON'T!
> 
> No, that is not what is happening. What is happening is that you are
> projecting your beliefs onto other people.
> I'm setting this back to NEW and handing over to the design team.

Fine with me. I wasn't the one who projected a CLOSED>WORKSFORME belief onto me.
Comment 12 Heiko Tietze 2015-04-22 07:42:50 UTC
The full screen toolbar is the only means to close the view via GUI elements. If we'd just omit this toolbar (the 'Mozilla Firefox approach', that I disagree with) there wouldn't be any clue how to get back. One might say that pressing escape is a pretty simple thing known from Impress (or any other presentation) but compared with Firefox which uses the same key (F11) to switch on/off (having other problems) it may be not obvious to novices.
A different solution might be to add a close button to the full screen toolbar.  Usually the state should be persistent but in this case we'd need an option to get the toolbar back. And since no one wants to clutter the options dialog further I suggest to have the toolbar open every time you switch to full screen mode with the option to close it manually. Would this solve your problem, David? And is it feasible from the devs POV?

As a side note @David: If you write "so-called UX experts" it has an offensive notion, and capitalization is also not the best way to get positive responses. If you have a completely different view you could join one of our meetings, for instance today 7pm UTC+2.
Comment 13 V Stuart Foote 2015-04-22 14:50:19 UTC
This enhancement is already present in Expert Configuration, or can be accomplished with routine toolbar customization (dock, hide, remove button, etc.) Or, as noted, can be edited Visible set 'false' per user in their "registrymodifications.xcu"

The assigned shortcut: <Ctrl>+<Shift>+j for toggling Full Screen mode could be better advertised.  But the current default of its single button toolbar being shown is simply suppressed. Either by docking the toolbar (it then is hidden), or by setting the toolbar to be not visible.

Working with expert configuration adjust the stanza:

/org.openoffice.Office.UI.WriterWindowState/UIElements/States/org.openoffice.Office.UI.WindowsState:WindowStateType['private:resource/toolbar/fullscreenbar']  -> Visible  [true|false] as desired.

Similar "fullscreenbar" configuration for Calc, Draw, Impress and Math

In builds < 5.0, there is no search function in Expert Configuration, so sort on the Preference Name and follow the alphabetization.  In >= 5.0 builds, use the search bar and enter "fullscreenbar"  then sort result by property.

See attached clips of Expert config with and without the search...
Comment 14 V Stuart Foote 2015-04-22 14:51:57 UTC
Created attachment 115007 [details]
Expert configuration adjustment of fullscreenbar prior to 5.0.0, no search
Comment 15 V Stuart Foote 2015-04-22 14:52:45 UTC
Created attachment 115008 [details]
Expert configuration adjustment of fullscreenbar for 5.0.0 forward, search implemented
Comment 16 V Stuart Foote 2015-04-22 14:54:50 UTC
Comment on attachment 115008 [details]
Expert configuration adjustment of fullscreenbar for 5.0.0 forward, search implemented

adjusted description
Comment 17 Buovjaga 2015-05-18 10:46:46 UTC
*** Bug 54459 has been marked as a duplicate of this bug. ***